Bug 199647 - net/mDNSResponder does not compile on ARM
Summary: net/mDNSResponder does not compile on ARM
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Some People
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-23 16:21 UTC by Ulrich Grey
Modified: 2015-04-26 09:27 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
fix build on armv6 (889 bytes, patch)
2015-04-24 08:17 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Grey 2015-04-23 16:21:31 UTC
===>  Building for mDNSResponder-561.1.1_1
gmake[1]: Entering directory '/usr/local/DEVEL/ports/net/mDNSResponder/work/mDNSResponder-561.1.1/mDNSPosix'
Responder daemon done
cc: error: unknown argument: '-soname=libdns_sd.so.1'
Makefile:259: recipe for target 'build/prod/libdns_sd.so' failed
gmake[1]: *** [build/prod/libdns_sd.so] Error 1
gmake[1]: Leaving directory '/usr/local/DEVEL/ports/net/mDNSResponder/work/mDNSResponder-561.1.1/mDNSPosix'
*** Error code 1

It's a native build on a wandboard-quad.
FreeBSD 11.0-CURRENT #1 r281266M
Comment 1 Mikael Urankar freebsd_committer 2015-04-24 08:17:23 UTC
Created attachment 155939 [details]
fix build on armv6

Hi,

revision r384468 breaks the build on arm.
The attached patch fixes that.
Comment 2 Ulrich Grey 2015-04-24 08:44:44 UTC
(In reply to mikael.urankar from comment #1)

Hello,
thank you for the patch.
The build now finished successfully:
===>>> Upgrade of mDNSResponder-561.1.1 to mDNSResponder-561.1.1_1 complete
Comment 3 commit-hook freebsd_committer 2015-04-26 09:24:44 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Apr 26 09:24:14 UTC 2015
New revision: 384763
URL: https://svnweb.freebsd.org/changeset/ports/384763

Log:
  - Fix build on arm

  PR:		199647
  Submitted by:	Ulrich Grey <usenet@ulrich-grey.de>, Mikael Urankar <mikael.urankar@gmail.com>

Changes:
  head/net/mDNSResponder/files/patch-mDNSPosix-Makefile
Comment 4 Po-Chuan Hsieh freebsd_committer 2015-04-26 09:27:56 UTC
Committed. Thanks!